﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SweetSurvey.Models.Repositories
{
    public interface IOptionRepository: IRepository<Option, string>
    {
        IQueryable<Option> GetOptionsByQuestionId(string questionId);
        void DeleteOptionsByQuestionId(string questionId);
        void CreateOptionsByQuestionId(string questionId, IList<string> options);
    }
}
