﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SweetSurvey.Models.Repositories
{
    public interface ISurveyRepository: IRepository<Survey, string>
    {
        IQueryable<Survey> GetSurveysByEditorId(string id);
        IQueryable<Survey> GetAllSurveys();
        void AssertOwner(string id, string userName);
    }
}
