﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SweetSurvey.Models.Repositories
{
    public interface IRepository<TModel, TId>
    {
        TModel Get(TId id, bool detaching = true);
        string Create(TModel entity);
        void Update(TModel entity);
        void Delete(TId id);
    }
}
